OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Data Fields
CYapfRoadNodeT< Tkey_ > Struct Template Reference

Yapf Node for road YAPF. More...

`#include <yapf_node_road.hpp>`

Inheritance diagram for CYapfRoadNodeT< Tkey_ >:

## Public Types
typedef CYapfNodeT< Tkey_, CYapfRoadNodeT< Tkey_ > > | base
Public Types inherited from CYapfNodeT< Tkey_, CYapfRoadNodeT< Tkey_ > >
typedef Tkey_ | Key
typedef CYapfRoadNodeT< Tkey_ > | Node

## Public Member Functions
void | Set (CYapfRoadNodeT *parent, TileIndex tile, Trackdir td, bool is_choice)
Public Member Functions inherited from CYapfNodeT< Tkey_, CYapfRoadNodeT< Tkey_ > >
void | Set (Node *parent, TileIndex tile, Trackdir td, bool is_choice)
Node * | GetHashNext ()
void | SetHashNext (Node *pNext)
TileIndex | GetTile () const
Trackdir | GetTrackdir () const
const Tkey_ & | GetKey () const
int | GetCost () const
int | GetCostEstimate () const
bool | operator< (const Node &other) const
void | Dump (DumpTarget &dmp) const

## Data Fields
TileIndex | m_segment_last_tile
Trackdir | m_segment_last_td
Data Fields inherited from CYapfNodeT< Tkey_, CYapfRoadNodeT< Tkey_ > >
Tkey_ | m_key
Node * | m_hash_next
Node * | m_parent
int | m_cost
int | m_estimate

## Detailed Description

### template<class Tkey_>
struct CYapfRoadNodeT< Tkey_ >

Yapf Node for road YAPF.

Definition at line 17 of file yapf_node_road.hpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_node_road.hpp